package com.alihealth.d2d.provtest.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import javax.persistence.Column;
import java.util.Date;

/**
 * @author Jason 接收数据日志
 * @date 2025年06月03日 15:28:25
 */
@Data
@TableName("receive_data_log")
public class ReceiveDataLog {

   @TableId(value = "event_id", type = IdType.AUTO)
    private String eventId;


    @Column(name = "process_id")
    private String processId;


    @Column(name = "event_type")
    private String eventType;

    @Column(name = "event_type_name")
    private String eventTypeName;


    @Column(name = "sub_type")
    private String subType;

    @Column(name = "sub_type_name")
    private String subTypeName;


    @Column(name = "data")
    private String data;



    @Column(name = "ver")
    private String ver;


    @Column(name = "create_time")
    private Date createTime;


    @Column(name = "update_time")
    private Date updateTime;


    @Column(name = "is_deleted")
    private Date isDeleted;


}
