package com.alihealth.d2d.provtest.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Builder;
import lombok.Data;

import javax.persistence.Column;
import java.util.Date;

/**
 * 药品经营企业基本信息数据子集(PharmaceuticalTradingEnterprisesBaseInfo)表实体类
 *
 * @author makejava
 * @since 2025-06-11 17:43:40
 */
@SuppressWarnings("serial")
@Data
@Builder
@TableName("pharmaceutical_trading_enterprises_base_info")
public class PharmaceuticalTradingEnterprisesBaseInfo {
    //主键ID
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //事件流水号
    @Column(name = "event_id")
    private String eventId;
    //统一社会信用代码
    @Column(name = "tyshxydm")
    private String tyshxydm;
    //企业名称
    @Column(name = "qymc")
    private String qymc;
    //企业类型
    @Column(name = "qylx")
    private String qylx;
    //企业小类
    @Column(name = "qyxl")
    private String qyxl;
    //住所地址
    @Column(name = "zsdz")
    private String zsdz;
    //住所地址- 国家（或地区）
    @Column(name = "zsdzgjhdq")
    private String zsdzgjhdq;
    //住所地址- 省（直辖市/自治区）
    @Column(name = "zsdzszxszzq")
    private String zsdzszxszzq;
    //住所地址- 市（区/自治州/盟）
    @Column(name = "zsdzsqzzzm")
    private String zsdzsqzzzm;
    //住所地址- 县（自治县/县级市）
    @Column(name = "zsdzxzzxxjs")
    private String zsdzxzzxxjs;
    //住所地址-乡（镇/街道办事处）
    @Column(name = "zsdzxzjdbsc")
    private String zsdzxzjdbsc;
    //住所地址-村（街/路/ 弄等）
    @Column(name = "zsdzcjlld")
    private String zsdzcjlld;
    //住所地址-门牌号码
    @Column(name = "zsdzmphm")
    private String zsdzmphm;
    //法定代表人
    @Column(name = "fddbr")
    private String fddbr;
    //注册资本
    @Column(name = "zczb")
    private String zczb;
    //成立日期
    @Column(name = "clrq")
    private Date clrq;
    //营业期限
    @Column(name = "yyqx")
    private String yyqx;
    //经营范围
    @Column(name = "jyfw")
    private String jyfw;
    //登记机关
    @Column(name = "djjg")
    private String djjg;
    //固定电话号码
    @Column(name = "gddhhm")
    private String gddhhm;
    //传真号码
    @Column(name = "czhm")
    private String czhm;
    //电子信箱
    @Column(name = "dzxx")
    private String dzxx;
    //企业网址
    @Column(name = "qywz")
    private String qywz;
    //联系人
    @Column(name = "lxr")
    private String lxr;
    //联系电话
    @Column(name = "lxdh")
    private String lxdh;
    //暂无
    @Column(name = "zsgps")
    private String zsgps;
    //创建时间
    @Column(name = "create_time")
    private Date createTime;
    //更新时间
    @Column(name = "update_time")
    private Date updateTime;
    //是否删除(0-否 1-是)
    @Column(name = "is_deleted")
    private Integer isDeleted;

}

